# gs-std

[GS Open Source](https://garrity.co/oss.html) |
[License (Apache 2.0)](./LICENSE)

Garrity Software standard types and operations. Provides a zero-dependency
collection of basic tools.

- [Usage](#usage)
    - [Dependency](#dependency)
- [Donate](#donate)

## Usage

### Dependency

This artifact is available in the Garrity Software Maven repository.

```scala
externalResolvers +=
  "Garrity Software Releases" at "https://maven.garrity.co/releases"

val GsStd: ModuleID =
  "gs" %% "gs-std-v0" % "$VERSION"
```

## Types

- `Nat`
- `Size`
- `ByteCount`
- `Blob`
- `CreatedAt`
- `UpdatedAt`
- `SHA256`
- `MD5`
- `EncodedString`
- `B64`
- `B64Url`
- `Hex`

## Tools

- `Encoder`
- `Base64Encoder`
- `HexEncoder`
- `Decoder`
- `Base64Decoder`
- `HexDecoder`

## Donate

Enjoy this project or want to help me achieve my [goals](https://garrity.co)?
Consider [Donating to Pat on Ko-fi](https://ko-fi.com/gspfm).
